
' ***RC-210 Repeater Controller Copyright 2003 by Arcom Communications
' ***Version 3.5 August 20, 2003
'
' ***Please be sure to read your manual for instructions on how to install this update
' ***Issues this version addresses:


**********************************************************************************
**** IMPORTANT! YOU MUST INSTALL AND RUN UPDATEERAM  BEFORE YOU LOAD AND RUN  ****
****   THE FIRMWARE UPDATE. PLEASE SEE UPDATEERAM.BAS FOR COMPLETE DETAILS!   ****
**********************************************************************************

Changes in Version 3.52

---------------------------------------------------------------------

Fixed minor bug in linking and courtesy tones.

---------------------------------------------------------------------

Added COS debouncing, to ignore noise and "non-clean" logic level shift
of COS lines. This will also be used to provide selectable kerchunk filtering
in the next rev of the firmware.

---------------------------------------------------------------------

Added new DTMF Muting Timer command. This allows you to select the amount of
time a DTMF digit will mute that port's receiver and, if enabled, generate
a covertone. As long as digits are entered before this timer times out, muting
and covertone continue. The range is 10 to 9999 milliseconds (.01 to 9.9 seconds)
and programmable in 100 millisecond steps.

*1006xxxx where xxxx is the time in 10's of milliseconds. Examples:

*1006 1  program timer to 100 milliseconds
*1006 7  program timer to 700 milliseconds
*1006 10  program timer to 1 second
*1006 50  program timer to 5 seconds

----------------------------------------------------------------------

Macros now prevent recursive calls when calling other macros. This prevents
infinite loops if you accidentally program one macro to call one macro,
which in turn calls the original.

----------------------------------------------------------------------

DTMF decoding routines revised and now using hardware interrupts. Redid the
buffers, so you can now use an automated program and enter up to
(typically) 30 commands - separated by the DTMF digit D - and they will all
be processed in order. This also allows for the manual entering of commands
- also separated by a DTMF D - without having to drop COR each time. If you
use D, speech is inhibited. Speaking of which, you may enter DTMF during
speech or CW with complete reliability now.

----------------------------------------------------------------------

Major revamp of audio routing routines. This is mostly for internal code
ease, but it does run more smoothly now.

----------------------------------------------------------------------

There is now a reset command. This also checks that the watchdog timer
is running. The controller must be unlocked in order to access this command
(any port may be used).

*207099

Within 5 seconds of entering the command, the controller will reset and give
the signon message. If for some reason the watchdog fails, you'll receive the
message "TIMER NOT SET"

---------------------------------------------------------------------

Courtesy tone programming has changed:

* 31CT DDDD # dddd # TTTT  # tttt # - program Segment 1
* 32CT DDDD # dddd # TTTT # tttt # - program Segment 2
* 33CT DDDD # dddd # TTTT # tttt # - program Segment 3
* 34CT DDDD # dddd # TTTT # tttt # - program Segment 4

CT is the courtesy tone 1 - 10.

Each parameter must be separated by a #

DDDD is the delay in milliseconds from COS closure to that segment
dddd is the duration in milliseconds of segment
TTTT is Tone 1 in hertz
tttt is Tone 2 in hertz

Examples:

Courtesy Tone 1 segment 1, 250 ms delay to start, duration 100 ms, Tone 1
is 880 hz and Tone 2 is 660 hz.

*3101 250# 100#  880#  660#

Courtesy Tone 4, segment 2, 75 ms delay from segment 1, duration 90 ms,
Tone 1 is 800 hz and Tone 2 is 0 hertz.

*3204 75# 90#  880#  0#

----------------------------------------------------------------------------

Scheduler programming has been changed, and a new port parameter added.
Added weekends and weekdays to the days of the week.

*4001 ss dow hours minutes macro <optional port ID>

ss = setpoint # 01 - 40 (must be 2 digits)
dow = day of week (must be 1 digit)
hours = 0 to 24 or "0A" for wildcard (must be 2 digits)
minutes = 00 - 59 (must be 2 digits)
macro = and valid macro 1 - 40 or 201 - 240 (must be 2 digits)
port = port to play message (this is ignored if not using a macro that
contains speech)
    1 = Port 1
    2 = Port 2
    3 = Port 3
    12 = Ports 1 & 2
    13 = Ports 1 & 3
    23 = Ports 2 & 3
    123 = All Ports

New Days of Week list:

1 - Monday
2 - Tuesday
3 - Wednesday
4 - Thursday
5 - Friday
6 - Saturday
7 - Sunday
8 - weekdays (12 AM Monday to midnight Friday)
9 - weekend (12 AM Friday to midnight Sunday)
0 - everyday

---------------------------------------------------------------------------

Change to macro programming. Format is now:

*4002 mm  <commands> where mm is the macro to be programmed 01 - 40.

---------------------------------------------------------------------------
New Macro erase command added:

*4003 mm  Erase Macro mm 01 - 40

---------------------------------------------------------------------------

Added Calendar function, to readback the set date.

1101 is the default read code

*2063 is the programming command to change the read code

When you program the date, it is read back as confirmation
When you program the clock, the time is read back as confirmation

----------------------------------------------------------------------------

New function code list - everything after 116 is shifted down one to add
new Say Date function:

116 Say Time
117 Say Date
118 Link Port 1 to Port 2
119 Link Port 1 to Port 3
120 Link Port 2 to Port 3
121 Link All Ports
122 Unlink Port 1 from Port 2
123 Unlink Port 1 from Port 3
124 Unlink Port 2 from Port 3
125 UnLink All Ports
126 Play DVR Track 1
127 Play DVR Track 2
128 Play DVR Track 3
129 Play DVR Track 4
130 Play DVR Track 5
131 Play DVR Track 6
132 Play DVR Track 7
133 Play DVR Track 8
134 Play DVR Track 9
135 Play DVR Track 11
136 Play DVR Track 11
137 Play DVR Track 12
138 Play DVR Track 13
149 Play DVR Track 14
140 Play DVR Track 15
141 Play DVR Track 16
142 Play DVR Track 17
143 Play DVR Track 18
144 Play DVR Track 19
145 Play DVR Track 20

---------------------------------------------------------------------------

Added more functions to be used in macros. These were necessary to allow
schedular speech messages to be suspended. This is needed to allow the
automatic suspension of previously defined setpoints that cause speech, for
example.. on the hour, every hour. See manual for complete explanation and
other details.

151 - 170 Suspend the next scheduler Setpoint occurance 1 - 20
171 - 190 Restart the next scheduler Setpoint occurance 1 - 20

---------------------------------------------------------------------------

